package example_append_file;

import java.io.PrintWriter;
import java.io.File;
import java.io.FileWriter;

public class AppendTextFile {
	public static void main(String[] args) throws Exception {
		// Declare output file.
		File outFile;

		outFile = new File( "src/example_append_file/output3.txt" );
		
		// We will append these numbers to a file, 1 per line 
		int[] nums = {33, 44, 55, 66 };

		// Create a FileWriter
		FileWriter fw = new FileWriter( outFile, true );
				
		// Declare and create a PrintWriter.
 		PrintWriter writer = new PrintWriter( fw );
		
		// Loop over the array of numbers.
		for( int i=0; i<nums.length; i++ ) {
			// Write a number.
			writer.println( nums[i] );
		}
		// Close the PrintWriter.	
		System.out.println( "File appended" );
		writer.close();
	}
}

