package exercise_person_accounts_ver4;

public class GoldAccount extends Account {
	private double interestRate;

	public GoldAccount(double balance, double interestRate) {
		super(balance);
		this.interestRate = interestRate;
	}

	public GoldAccount(double balance) {
		this(balance, 0.05);
	}

	public double getInterestRate() {
		return interestRate;
	}

	@Override
	public void endOfMonth() {
		if(balance>0.0) {
			balance *= (1.0+interestRate); 
		}
		else {
			balance -= 10.0; 
		}
	}

	@Override
	public String toString() {
		return String.format("Gold: %s, int rate=%.1f", super.toString(), interestRate*100);
	}
}
